Update user/group access to a page
Updates an existing personal access to a page.
Lets you change the role of a user or group, as well as configure access inheritance for subpages.
Request
POST
https://api.wiki.yandex.net/v1/pages/{idx}/access/{access_id}
Path parameters
|
Name |
Description |
|
access_id |
Type: string Access ID Example: `` |
|
idx |
Type: integer Page ID |
Query parameters
|
Name |
Description |
|
prevent_selflock |
Type: boolean If Default: |
Body
application/json
{
"role": "reader",
"inheritance": "inherited"
}
|
Name |
Description |
|
inheritance |
All of 1 type
Access inheritance for subpages: Example: |
|
role |
All of 1 type
The new access role: Example: |
RoleAPI
Page access role:
reader— readeditor— editextra_editor— extended editing (access management)author— author (full access)
Type: string
Enum: reader, editor, extra_editor, author
InheritanceAPI
Access inheritance for subpages:
inherited— access is inherited by subpagesnot_inherited— access is not inherited by subpages
Type: string
Enum: inherited, not_inherited
Responses
200 OK
OK
Body
application/json
{
"id": "example",
"created_at": "2025-01-01T00:00:00Z",
"user": {
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
},
"group": {
"id": "example",
"identity": {
"src": null,
"id": "example"
},
"name": "example",
"type": "wiki",
"metadata": {
"url": "example",
"externals_count": 0
},
"members_count": 0
},
"role": "reader",
"inheritance": "inherited"
}
|
Name |
Description |
|
id |
Type: string Unique access identifier Example: |
|
role |
All of 1 type
Access role Example: |
|
created_at |
Type: string<date-time> Date and time the access was created Example: |
|
group |
All of 1 type
The group the access is granted to (populated if the access is granted to a group) Example
|
|
inheritance |
All of 1 type
Access inheritance setting for subpages Example: |
|
user |
All of 1 type
The user the access is granted to (populated if the access is granted to a user) Example
|
UserIdentity
User identifier
|
Name |
Description |
|
cloud_uid |
Type: string User identifier in the cloud (for the external instance) Example: |
|
uid |
Type: string User identifier in Yandex (for the internal instance) Example: |
Example
{
"uid": "example",
"cloud_uid": "example"
}
UserSchema
Information about the user
|
Name |
Description |
|
affiliation |
Type: string User affiliation (for example, Example: |
|
display_name |
Type: string User display name Example: |
|
id |
Type: integer Internal user identifier |
|
is_dismissed |
Type: boolean The user has been dismissed |
|
username |
Type: string User login Example: |
|
identity |
All of 1 type
User identifier in the system Example
|
Example
{
"id": 0,
"identity": {
"uid": "example",
"cloud_uid": "example"
},
"username": "example",
"display_name": "example",
"is_dismissed": true,
"affiliation": "example"
}
ComSource
Group identifier source:
dir— IAMcloud— Yandex Cloudcom— local databasestaff— Staff (internal employee directory)
Type: string
Enum: dir, cloud, com, staff
ComIdentitySchema
Group identifier
|
Name |
Description |
|
id |
Type: string Group identifier in the specified source Example: |
|
src |
All of 1 type
Identifier source Example: |
Example
{
"src": "dir",
"id": "example"
}
GroupType
Group type:
wiki— a Wiki groupservice— a service groupservicerole— a service rolegroup— a regular groupdepartment— a department
Type: string
Enum: wiki, service, servicerole, group, department
IntranetGroupMetadata
Group metadata from the internal directory
|
Name |
Description |
|
externals_count |
Type: integer Number of external consultants in the group |
|
url |
Type: string Group URL in the directory Example: |
Example
{
"url": "example",
"externals_count": 0
}
IamGroupMetadata
Group metadata from IAM (Identity and Access Management)
|
Name |
Description |
|
dir_id |
Type: string Directory identifier Example: |
Example
{
"dir_id": "example"
}
GroupSchema
Information about the group
|
Name |
Description |
|
identity |
All of 1 type
Group identifier in the system Example
|
|
name |
Type: string Group name Example: |
|
type |
All of 1 type
Group type Example: |
|
id |
Type: string Group identifier. For the external instance, dir_id; for the internal instance, staff_id Example: |
|
members_count |
Type: integer Number of group members Default: |
|
metadata |
Any of 2 types
Additional group metadata Example
|
Example
{
"id": "example",
"identity": {
"src": "dir",
"id": "example"
},
"name": "example",
"type": "wiki",
"metadata": {
"url": "example",
"externals_count": 0
},
"members_count": 0
}